# Exception-safe code

## Classes

class | Loki::ScopeGuardImplBase
class | Loki::ScopeGuardImpl0< F >
class | Loki::ScopeGuardImpl1< F, P1 >
class | Loki::ScopeGuardImpl2< F, P1, P2 >
class | Loki::ScopeGuardImpl3< F, P1, P2, P3 >
class | Loki::ScopeGuardImpl4< F, P1, P2, P3, P4 >
class | Loki::ScopeGuardImpl5< F, P1, P2, P3, P4, P5 >
class | Loki::ObjScopeGuardImpl0< Obj, MemFun >
class | Loki::ObjScopeGuardImpl1< Obj, MemFun, P1 >
class | Loki::ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >
class | Loki::ObjScopeGuardImpl3< Obj, MemFun, P1, P2, P3 >

## Functions

template<class T >
RefToValue< T > | Loki::ByRef (T &t)

## Function Documentation

template<class T >

RefToValue<T> Loki::ByRef | ( | T & | t | ) | `[inline]`

RefToValue creator.